Subject: You have little joy in life? Lacks warmth and affection? Come to me.

From: <[email-masked]>
Date: Sun, 10 Jan 2010 23:27:26 -0400

Want to know what the real Russian girls love and warmth? Just click and see